<!doctype html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layouts/default.html}">
<head>
  <!-- Primary Meta Tags -->
  <meta name="title" content="Events">
  <title layout:title-pattern="$CONTENT_TITLE - $LAYOUT_TITLE">Events</title>
</head>
<body>
<div class="container max-w-screen-lg mx-auto px-4" layout:fragment="content">
<!--  header section-->
  <div class="flex flex-wrap flex-row justify-between items-center mt-16 mb-6">
    <h1 class="text-2xl text-blue-900 font-semibold">Events</h1>
    <a th:href="@{'/event/add'}" type="button" class="text-white bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-sm px-5 py-2.5 text-center mb-2 sm:mb-0">Add</a>
  </div>

  <!--Tampilkan alert succes jika add event berhasil-->
  <div id="alert-3" class="flex p-4 mb-4 text-green-800 rounded-lg bg-green-50" role="alert" th:if="${success!= null}">
    <div class="ml-3 text-sm font-medium" th:text="${success}">
      Event Successfully Added
    </div>
    <button type="button" class="ml-auto -mx-1.5 -my-1.5 bg-green-50 text-green-500 rounded-lg focus:ring-2 focus:ring-green-400 p-1.5 hover:bg-green-200 inline-flex h-8 w-8" data-dismiss-target="#alert-3" aria-label="Close">
      <span class="sr-only">Close</span>
      <svg aria-hidden="true" class="w-5 h-5" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" d="M4.293 4.293a1 1 0 011.414 0L10 8.586l4.293-4.293a1 1 0 111.414 1.414L11.414 10l4.293 4.293a1 1 0 01-1.414 1.414L10 11.414l-4.293 4.293a1 1 0 01-1.414-1.414L8.586 10 4.293 5.707a1 1 0 010-1.414z" clip-rule="evenodd"></path></svg>
    </button>
  </div>

  <!--Tampilkan aler danger jika event gagal di add-->
  <div id="alert-2" class="flex p-4 mb-4 text-red-800 rounded-lg bg-red-50" role="alert" th:if="${failed != null}">
    <div class="ml-3 text-sm font-medium">
      Add Event Failed
    </div>
    <button type="button" class="ml-auto -mx-1.5 -my-1.5 bg-red-50 text-red-500 rounded-lg focus:ring-2 focus:ring-red-400 p-1.5 hover:bg-red-200 inline-flex h-8 w-8" data-dismiss-target="#alert-2" aria-label="Close">
      <span class="sr-only">Close</span>
      <svg class="w-5 h-5" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" d="M4.293 4.293a1 1 0 011.414 0L10 8.586l4.293-4.293a1 1 0 111.414 1.414L11.414 10l4.293 4.293a1 1 0 01-1.414 1.414L10 11.414l-4.293 4.293a1 1 0 01-1.414-1.414L8.586 10 4.293 5.707a1 1 0 010-1.414z" clip-rule="evenodd"></path></svg>
    </button>
  </div>

  <!--Event list table-->
  <div class="relative overflow-x-auto sm:rounded-lg">
    <div class="flex flex-wrap items-center justify-between pb-4">
      <div class="horizontalNavMenu mb-2 sm:mb-0 basis-full sm:basis-8/12"></div>
      <div class="mb-2 sm:mb-0 basis-full sm:basis-4/12">
        <label for="table-search" class="sr-only">Search</label>
        <div class="relative">
          <div class="absolute inset-y-0 left-0 flex items-center pl-3 pointer-events-none">
            <svg class="w-5 h-5 text-gray-500" aria-hidden="true" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" d="M8 4a4 4 0 100 8 4 4 0 000-8zM2 8a6 6 0 1110.89 3.476l4.817 4.817a1 1 0 01-1.414 1.414l-4.816-4.816A6 6 0 012 8z" clip-rule="evenodd"></path></svg>
          </div>
          <input type="text" id="table-search" class="block w-full p-2 pl-10 text-sm text-gray-900 border border-gray-300 rounded-lg w-80 bg-gray-50 focus:ring-blue-500 focus:border-blue-500" placeholder="Search Events">
        </div>
      </div>
    </div>
    <table class="w-full text-sm text-left text-gray-500">
      <thead class="text-xs text-gray-700 uppercase bg-gray-50">
      <tr>
        <th scope="col" class="px-6 py-3">
          Event name
        </th>
        <th scope="col" class="px-6 py-3">
          Date
        </th>
        <th scope="col" class="px-6 py-3">
          time
        </th>
        <th scope="col" class="px-6 py-3">
          Group
        </th>
        <th scope="col" class="px-6 py-3">
          Reward
        </th>
        <th scope="col" class="px-6 py-3">
          Action
        </th>
      </tr>
      </thead>
      <tbody>
      <tr class="bg-white border-b hover:bg-gray-50" th:each="data, row:${list}">
        <th scope="row" class="px-6 py-3 font-medium text-gray-900 whitespace-nowrap" th:text="${data.scheduleName}">
          Kajian Bulanan Hi-Fast
        </th>
        <td class="px-6 py-3" th:text="${#temporals.format(data.scheduleDate, 'E , dd MMMM yyyy')}">
          Sunday, 12 February 2023
        </td>
        <td class="px-6 py-3" th:text="${data.scheduleTimeStart + ' - ' + data.scheduleTimeEnd}">
          08:00 - 09:00
        </td>
        <td class="px-6 py-3" th:text="${data.getEmployeeClass()}">
          Karyawan Tetap
        </td>
        <td class="px-6 py-3" th:text="${'Rp. ' + #numbers.formatDecimal(data.reward, 0, 'COMMA', 2, 'POINT')}">
          Rp.100.000,-
        </td>
        <td class="px-6 py-3">
          <a th:href="@{/event/edit(Id= ${data.id})}" class="font-medium text-blue-600 dark:text-blue-500 hover:underline">Edit</a>
        </td>
      </tr>
      </tbody>
    </table>
    <div class="flex flex-row flex-wrap justify-center md:justify-between items-center my-4">
      <!--query result-->
      <p class="text-base text-gray-500 mr-4 mb-1">Show 10 From 270 Results</p>
      <!--pagination-->
      <nav aria-label="Page navigation example">
        <ul class="pagination" sd:pagination="full">
          <li>
            <a href="#" class="block px-3 py-2 ml-0 leading-tight text-gray-500 bg-white border border-gray-300 rounded-l-lg hover:bg-gray-100 hover:text-gray-700">
              <span class="sr-only">Previous</span>
              <svg aria-hidden="true" class="w-5 h-5" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" d="M12.707 5.293a1 1 0 010 1.414L9.414 10l3.293 3.293a1 1 0 01-1.414 1.414l-4-4a1 1 0 010-1.414l4-4a1 1 0 011.414 0z" clip-rule="evenodd"></path></svg>
            </a>
          </li>
          <li>
            <a href="#" class="px-3 py-2 leading-tight text-gray-500 bg-white border border-gray-300 hover:bg-gray-100 hover:text-gray-700">1</a>
          </li>
          <li>
            <a href="#" aria-current="page" class="z-10 px-3 py-2 leading-tight text-blue-600 bg-blue-50 border border-blue-300 hover:bg-blue-100 hover:text-blue-700">2</a>
          </li>
          <li>
            <a href="#" class="px-3 py-2 leading-tight text-gray-500 bg-white border border-gray-300 hover:bg-gray-100 hover:text-gray-700">3</a>
          </li>
          <li>
            <a href="#" class="block px-3 py-2 leading-tight text-gray-500 bg-white border border-gray-300 rounded-r-lg hover:bg-gray-100 hover:text-gray-700 dark:bg-gray-800 dark:border-gray-700 dark:text-gray-400 dark:hover:bg-gray-700 dark:hover:text-white">
              <span class="sr-only">Next</span>
              <svg aria-hidden="true" class="w-5 h-5" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" d="M7.293 14.707a1 1 0 010-1.414L10.586 10 7.293 6.707a1 1 0 011.414-1.414l4 4a1 1 0 010 1.414l-4 4a1 1 0 01-1.414 0z" clip-rule="evenodd"></path></svg>
            </a>
          </li>
        </ul>
      </nav>
    </div>
  </div>
</div>
</body>
</html>